## python-shelxfile 21

=== requirements.txt ===
# No external requirements

## python-shelxfile 7

=== debian/changelog ===
python-shelxfile (7-1) unstable; urgency=medium

  * New upstream version 7
  * Adding upstream contact.
  * Dropping upstream-integrated patch.
  * Adding autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Nov 2021 05:45:38 -0500

python-shelxfile (6-1) unstable; urgency=medium

  * Initial release (Closes: #996095)

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Oct 2021 02:29:36 -0400

=== debian/control ===
Source: python-shelxfile
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all:any,
 python3-pytest <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://github.com/dkratzert/ShelXFile
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shelxfile
Vcs-Git: https://salsa.debian.org/python-team/packages/python-shelxfile.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-shelxfile
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: read and write SHELXL syntax files (Python 3)
 This is a full implementation of the SHELXL file syntax. Additionally it is
 able to edit SHELX properties using Python. The implementation is Python3-only
 and supports SHELXL after 2017.
 .
 Shelxfile always keeps the file order intact. Every SHELX instruction like DFIX
 or an atom is stored as an class object in the list Shelxfile._reslist. When
 writing the Shelxfile content to disk, it wites the _reslist content to disk.
 .
 Shelxfile tries to detect all possible syntax errors that SHELXL would not like
 either. If Shelxfile.DEBUG is True, more output about syntax and other errors
 are printed out. Otherwise, the parser is quiet except for really severe errors
 like a missing unit cell.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_test:
	cd shelxfile && pytest-3 -k tests
	rm -rf shelxfile/.pytest_cache

override_dh_install:
	dh_install
	find debian/python3-shelxfile -name tests | xargs --no-run-if-empty rm -rf
	rm debian/python3-shelxfile/usr/lib/python3/dist-packages/shelxfile/fit/LICENSE.txt

override_dh_auto_clean:
	dh_auto_clean
	find . -name __pycache__ | xargs --no-run-if-empty rm -rf

=== debian/tests/control ===
Test-Command: cd shelxfile && pytest-3 -k tests
Depends:
 python3-pytest,
 @,

## python-shelxfile 9

=== debian/changelog ===
python-shelxfile (9-1) unstable; urgency=medium

  * New upstream version 9

 -- Andrius Merkys <merkys@debian.org>  Wed, 03 Aug 2022 07:21:55 -0400

python-shelxfile (8-1) unstable; urgency=medium

  * New upstream version 8
  * Adjust debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Simplify debian/rules and autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Thu, 14 Jul 2022 03:22:20 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ pybuild-plugin-pyproject,
  python3-all:any,
  python3-pytest <!nocheck>,
+ python3-setuptools,
 Standards-Version: 4.6.0
 Homepage: https://github.com/dkratzert/ShelXFile
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shelxfile

## python-shelxfile 10

=== debian/changelog ===
python-shelxfile (10-1) unstable; urgency=medium

  * New upstream version 10
  * Update standards version to 4.6.1, no changes needed.
  * Remove no longer existing file from debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Tue, 18 Oct 2022 01:49:03 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all:any,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/dkratzert/ShelXFile
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shelxfile
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-shelxfile.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = shelxfile

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf shelxfile.egg-info

## python-shelxfile 15

=== debian/changelog ===
python-shelxfile (15-1) unstable; urgency=medium

  * New upstream version 15

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Jun 2023 03:16:22 -0400

python-shelxfile (13-1) experimental; urgency=medium

  * New upstream version 13
  * Update standards version to 4.6.2, no changes needed.
  * Simplify debian/rules.
  * Bump copyright years.
  * Switch autopkgtest to autopkgtest-pkg-pybuild.

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 Mar 2023 02:23:07 -0400

## python-shelxfile 17

=== debian/changelog ===
python-shelxfile (17-1) unstable; urgency=medium

  * New upstream version 17
  * Bump copyright years.
  * Drop low-level autopkgtest (superseded by autopkgtest-pkg-pybuild).

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Feb 2024 05:10:19 -0500

python-shelxfile (16-1) unstable; urgency=medium

  * New upstream version 16

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Nov 2023 01:47:11 -0500

## python-shelxfile 20

=== debian/changelog ===
python-shelxfile (20-1) unstable; urgency=medium

  * New upstream version 20

 -- Andrius Merkys <merkys@debian.org>  Thu, 20 Jun 2024 02:32:21 -0400

python-shelxfile (19-1) unstable; urgency=medium

  * New upstream version 19

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 May 2024 01:40:09 -0400

## python-shelxfile 21

=== debian/changelog ===
python-shelxfile (21-1) unstable; urgency=medium

  * New upstream version 21

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Mar 2025 02:30:49 -0500

## python-shelxfile 22

=== debian/changelog ===
python-shelxfile (22-1) unstable; urgency=medium

  * New upstream version 22

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Aug 2025 01:08:59 -0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
  python3-all:any,
+ python3-hatchling,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/dkratzert/ShelXFile
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shelxfile
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-shelxfile.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-shelxfile

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = shelxfile

%:
	dh $@ --buildsystem pybuild --with python3

execute_after_dh_auto_clean:
	rm -rf shelxfile.egg-info

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-shelxfile-$1.tar.gz%" \
 https://github.com/dkratzert/ShelXFile/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
